<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <div id="app">
    <button onclick="vm.openForm()">Klik Aku</button>
    <h1>{{ 'Nilai a: ' + a }}</h1>
    <h1>{{ 'Nilai Rata-rata: ' + ave }}</h1>
  </div>
  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script>
   var vm = new Vue({
      el: '#app',
      data: {
        a: 0,
        ave: 0,
        n:0
      },
      computed : {

      },
      methods : {
        openForm() {
            let masukan = prompt("Masukkan nilai a")
            this.a += parseInt(masukan)
            this.n += 1
            if (this.a<10) {
                this.openForm()
            } else {
                this.ave = this.a/this.n
            }
            
        }
      }
  })
  </script>
</body>
</html>